| Home | Libraries | People | FAQ | More

## Struct template unordered_node

boost::intrusive::unordered_node — @

## Synopsis

    // In header: <boost/intrusive/unordered_set_hook.hpp>

    template<typename VoidPointer, bool StoreHash, bool OptimizeMultiKey>
    struct unordered_node {
      // types
      typedef boost::pointer_to_other< VoidPointer, unordered_node< VoidPointer, StoreHash, OptimizeMultiKey > >::type node_ptr;
      node_ptr prev_in_group_;
      std::size_t hash_;
    };